%define api 1.0

Summary:	Gstreamer plugin for the libav codec
Name:		gstreamer%{api}-libav
Version:	1.12.2
Release:	1
License:	GPLv2+
Group:		Video
Url:		http://gstreamer.freedesktop.org
Source0:	http://gstreamer.freedesktop.org/src/gst-libav/gst-libav-%{version}.tar.xz
%ifnarch %{arm} %{mips}
BuildRequires:	valgrind
%endif
Buildrequires:	yasm
BuildRequires:	bzip2-devel
BuildRequires:	pkgconfig(check)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(gstreamer-plugins-base-%{api}) >= %{version}
BuildRequires:	pkgconfig(gstreamer-%{api}) >= %{version}
BuildRequires:	pkgconfig(gstreamer-base-%{api}) >= %{version}
BuildRequires:	pkgconfig(gstreamer-check-%{api}) >= %{version}
BuildRequires:	pkgconfig(orc-0.4) >= 0.4.16
Provides:	gstreamer%{api}-ffmpeg = %{EVRD}

%description
Video codec plugin for GStreamer based on the libav libraries.

%files
%doc README NEWS TODO ChangeLog AUTHORS
%{_libdir}/gstreamer-%{api}/libgstlibav.so

#----------------------------------------------------------------------------

%prep
%setup -qn gst-libav-%{version}

%build
%configure2_5x \
	--disable-static \
	--with-package-name='%{distribution} %{name} package' \
	--with-package-origin='%{disturl}' \
	--with-libav-extra-configure='--disable-decoder=mp3 --disable-decoder=mp3on4 --disable-decoder=mp3adu --disable-demuxer=mp3 --disable-demuxer=asf'
%make

%install
%makeinstall_std

#remove gtk-doc
rm -rf %{buildroot}%{_datadir}/gtk-doc

%changelog

* Thu Aug 24 2017 tremod <negry.m@yandex.ru> 1.12.2-1
- (6965da9) Update to 1.12.2


